import BlogLists from "@components/top-level/blog-lists";
import { getPosts, getPostsBySearch } from "@lib/api";
import styles from "./page.module.css";

const Home = async ({ searchParams }) => {
  let blogs = [];
  let pageNo = searchParams.page;
  let search = searchParams.search;

  let response;
  response = await getPosts("posts", pageNo);
  blogs = response.data;

  if ("search" in searchParams && pageNo !== "") {
    if (search !== "") {
      console.log("dfknb", pageNo);
      response = await getPostsBySearch("posts", pageNo, search);
      blogs = response.data;
    } else {
      blogs.length = 0;
    }
  }
  return (
    <div className={styles.container}>
      {blogs?.length ? (
        <BlogLists
          title="Lifestyle"
          description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
          blogs={blogs}
          total={response.total}
          currentPage={Number(pageNo)}
          search={search}
        />
      ) : (
        <h2 className="center">No data found</h2>
      )}
    </div>
  );
};

export default Home;
